Bug 1610896 (CVE-2018-14681) - CVE-2018-14681 libmspack: out-of-bounds write in kwajd_read_headers in mspack/kwajd.c
Summary: CVE-2018-14681 libmspack: out-of-bounds write in kwajd_read_headers in mspack...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-14681
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1610897 1610898 1610933 1611551
Blocks: 1610945
TreeView+ depends on / blocked
 
Reported: 2018-08-01 14:53 UTC by Laura Pardo
Modified: 2019-09-29 14:46 UTC (History)
2 users (show)

Fixed In Version: libmspack 0.7alpha
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:34:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3327 None None None 2018-10-30 07:59:44 UTC

Description Laura Pardo 2018-08-01 14:53:45 UTC
An issue was discovered in kwajd_read_headers in mspack/kwajd.c in libmspack before 0.7alpha. A maliciously crafted KWAJ file header extensions could cause a one or two byte overwrite.


References:
http://openwall.com/lists/oss-security/2018/07/28/1
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=904799

Upstream patch:
https://github.com/kyz/libmspack/commit/0b0ef9344255ff5acfac6b7af09198ac9c9756c8

Comment 1 Laura Pardo 2018-08-01 14:54:10 UTC
Created libmspack tracking bugs for this issue:

Affects: fedora-all [bug 1610897]

Comment 3 Laura Pardo 2018-08-01 16:25:52 UTC
Created libmspack tracking bugs for this issue:

Affects: epel-all [bug 1610933]

Comment 4 Stefan Cornelius 2018-08-02 10:38:52 UTC
Statement:

This issue affects the versions of libmspack as shipped with Red Hat Enterprise Linux 7.

Comment 6 errata-xmlrpc 2018-10-30 07:59:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3327 https://access.redhat.com/errata/RHSA-2018:3327


Note You need to log in before you can comment on or make changes to this bug.